Create a LinkedIn Ads integration for a account with ad account details

http
POST https://services.leadconnectorhq.com/ad-publishing/linkedin/integration

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesloc_123Account identifier
adAccountIdstringYes12345678Ad account identifier
adAccountNamestringYesMy Ad AccountAd account name
currencyCodestringYesUSDCurrency code
organizationIdstringYes12345678Organization identifier

Responses

201 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/linkedin/integration' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "loc_123",
  "adAccountId": "12345678",
  "adAccountName": "My Ad Account",
  "currencyCode": "USD",
  "organizationId": "12345678"
}'

Last updated October 26, 2026

Was this page helpful?